<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <!-- Mustache 기법: 텍스트 콘텐츠의 해당 위치에 {{}}를 통해 data를 참조할 수 있다. -->
    <div id="app">
        <button v-on:click='getGreetingMsg'>Click Alert</button>
        <!-- v-on 대신 @를 사용할 수 있다. -->
        <button @click='getGreetingMsg'>Click Alert</button>
    </div>
    <hr>

    <!-- prevent를 사용해서 이벤트가 전파되는 것을 막을 수 있다. 근데 페이지 이동이 되는데 멍미? -->
    <form v-on:submit.prevent='submit'>
        <p><input type="text"></p>
        <button type="submit">Submit</button>
    </form>

    <script>
        new Vue({
            el: "#app",
            data: {
                name: "홍길동",
                age: 30
            },
            methods: {
                getGreetingMsg: function(e) {
                    console.log(e);
                    alert(`안녕하세요! ${this.name}이고, ${this.age}살 입니다.'`);
                },
                submit: function() {
                    alert('submitted');
                }
            }
        });
    </script>
</body>
</html>